Bug 601813 - incomplete support for .tar.xz files
incomplete support for .tar.xz files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bash-completion (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 12:52 EDT by Jeff Bastian
Modified: 2010-07-01 15:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 15:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for tar xz tab completion (459 bytes, patch)
2010-06-08 12:53 EDT, Jeff Bastian
no flags Details | Diff

  None (edit)
Description Jeff Bastian 2010-06-08 12:52:00 EDT
Description of problem:
Tab completion for tar with *.tar.xz and *.txz files fails to complete the filename.

Version-Release number of selected component (if applicable):
bash-completion-1.1-6.fc13.noarch

How reproducible:
every time

Steps to Reproduce:
1. touch /tmp/foo.tar.xz
2. tar xf /tmp/foo[TAB]
  
Actual results:
foo.tar.xz does not have its name tab-completed

Expected results:
foo.tar.xz is fully tab-completed

Additional info:
Comment 1 Jeff Bastian 2010-06-08 12:53:26 EDT
Created attachment 422274 [details]
patch for tar xz tab completion
Comment 2 Ville Skyttä 2010-06-08 14:06:51 EDT
Already fixed upstream, will be in the next release:
http://git.debian.org/?p=bash-completion/bash-completion.git;a=commitdiff;h=1b336660d7c73f536fd6bf4363d5b6347c2db0ac
Comment 3 Fedora Update System 2010-06-20 06:57:07 EDT
bash-completion-1.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bash-completion-1.2-1.fc13
Comment 4 Fedora Update System 2010-07-01 15:00:00 EDT
bash-completion-1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.